WordPress 5.5

好像全球大流行还不够,一夜之间出现了一个新的全球问题,影响了您的 WordPress 网站。 5.5 版昨晚在全世界推出,就像黑死病一样。对于自动更新运行的人来说,这是旧消息。您的网站已经更新到(并且可能被破坏)5.5。

我们今天早上很早就意识到了问题,并一直在疯狂地联系供应商,在论坛上与其他人交谈,试图找出问题所在以及如何解决。

每个 WordPress 站点的环境都与另一个站点的环境大不相同,因此可能同时出现多个错误。解决一个站点问题的方法在另一个站点上不起作用。在我们今天工作的所有站点中,我们还没有找到一个修复程序。在某些网站上,停用一个或多个插件让我们再次访问,但在某些网站上,没有 bueno。

有传言说

网上有很多讨论,您需要做的就是下载并安装官方 WordPress 插件: 启用 jQuery 迁移助手.插件的说明 GitHub 突出问题:

“随着 WordPress 5.5 的更新,一种名为 jquery-迁移 将不再默认启用。这可能会导致某些运行旧代码的主题或插件出现意外行为。此插件用作临时解决方案,使您网站的迁移脚本能够为您的插件和主题作者提供更多时间来更新和测试他们的代码。”

然而,我们仍然听到很多人说这并没有解决他们所有的问题。

#1 重要提示——如果你什么都不读,读这个!!

现在不要在后端做任何事情。请。不要运行更新,不要尝试编辑页面,不要添加帖子。不要添加或删除插件。我们不希望您的网站在前端中断。

好消息

据我们目前所知,这不会像后端一样影响您网站的前端,但是 帮我个忙好吗? 立即浏览您的网站,确保情况确实如此。如果没有,请通过损坏页面的 URL 与我们联系,以便我们解决问题。

坏消息

即使你使用了上面提到的插件,它也是一个临时修复。在这一点上,看起来我们可能会受制于 WordPress 推出新的(固定)版本。在这一点上,他们都在 Xanax 上,每天 24 小时工作来解决这个问题。难道我们都不是很高兴我们不是今天发布轰动粉丝的便便的程序员吗? 无论如何,这是一回事。

当下新闻

那么,你应该怎么做(在你没有做我们上面告诉你不要做的事情之后)?

这真的取决于很多因素,例如:

  • 你昨晚有自动更新吗?
  • 你今天手动更新了吗?
  • 你安装了什么主题和插件。

所以,因为这太重要了,我们想请你坐下来,喝一杯麦泰,我们将披上斗篷拯救世界(如果对你来说都是一样的话)。

您的选择

  • 进入无人看管并炸毁您的网站。 (参考上文)
  • 让我们进去看看您的网站目前发生了什么。
  • 如果您的网站尚未更新,让我们暂时停止未来的更新。
  • 如果您的网站没有使用 5.5 进行社交隔离,让我们将其回滚到以前的版本并暂时停止更新。

如何进入我们的 WP 5.5 修复列表

这是交易。由于这个问题如此普遍,你们中会有很多人需要帮助。填写下面的表格,立即加入我们的列表,以避免停机。

    你能修好你的 WP 5.5 问题?

    密切联系